## gnome-types gnome-types — |

## Synopsis

    #include <libgnomeui/libgnomeui.h>

    void        (*GnomeStringCallback)          (gchar *string,
                                                 gpointer data);
    void        (*GnomeReplyCallback)           (gint reply,
                                                 gpointer data);
    enum        GnomePreferencesType;

## Description

## Details

### GnomeStringCallback ()

    void        (*GnomeStringCallback)          (gchar *string,
                                                 gpointer data);

`string` : |
`data` : |

### GnomeReplyCallback ()

    void        (*GnomeReplyCallback)           (gint reply,
                                                 gpointer data);

`reply` : |
`data` : |

### enum GnomePreferencesType

    typedef enum {
      GNOME_PREFERENCES_NEVER,
      GNOME_PREFERENCES_USER,
      GNOME_PREFERENCES_ALWAYS
    } GnomePreferencesType;